Bug 44758 - Autofs hangs up accessing HP CD Writer
Autofs hangs up accessing HP CD Writer
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-16 00:01 EDT by Joe Pepersack
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:10:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Pepersack 2001-06-16 00:01:36 EDT
Description of Problem:
After upgrading to 7.1 from 7.0, autofs endlessly tries to mount 
/dev/scd0 when there is no disk in the tray.  After several hours, the 
drive tray is ejected without being told to do so and left open.  This 
problem did not occur on this system while running RH 6.1, 6.2, or 7.0, 
nor after booting into Windows 95 (system is dual-boot).

How Reproducible:
Hardware dependant; does not occur on other CD-RW equipped systems.

Steps to Reproduce:
1. # /etc/init.d/autofs stop; eject /mnt/cdrom1
2. remove any media, close drive tray
3. # /etc/init.d/autofs start

Actual Results:
Continuous activity while drive is empty; drive will not respond to eject 
command while in this state.

Expected Results:
No drive activity when drive is empty; eject command should cause drive 
tray to open.

Additional Information:
Drive is an HP CD-Writer Plus 8250i (model #c4464A) attached as slave on 
secondary IDE channel.  Motherboard is an FIC SD-11 w/ Athalon 550 cpu.
Comment 1 Nalin Dahyabhai 2001-08-28 15:15:40 EDT
This should be fixed in Raw Hide, which no longer configures any automount
points by default, preventing the device from ever getting wedged this way in
the first place.
Comment 2 Bill Nottingham 2006-08-04 16:10:15 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.